0

如题,使用 npm update 无任何响应返回,初步怀疑 npm update 只能指定更新某一个包,那么请问 NPM 有无可以更新所有包至最新版本的命令呢?

2个回答

2

已采纳

你所有都是满足你package.json中指定的版本范围中的最新的话,就不会有响应,因为已经是最新的没有可以更新的包。

npm update如果不指定包名(比如npm update lodash)会更新指定位置(localglobal)的所有模块。但是它会按照你package.json中的模块的版本号来更新,这是一个好特性,如果什么都不考虑直接全部都更新到最新版本,容易出现兼容问题。

比如你的模块依赖为 "dep1": "~1.1.1",它表示dep1的包版本为>=1.1.1,<1.2,这样即使有2.0.0的新版本,你也更新不上去。

具体看npm-update

撰写答案

相似问题